SDL_GPUSupportsShaderFormats(3)

NAME
SDL_GPUSupportsShaderFormats - Checks for GPU runtime support.

SYNOPSIS
#include <SDL3/SDL_gpu.h>

bool SDL_GPUSupportsShaderFormats(
    SDL_GPUShaderFormat format_flags,
    const char *name);

FUNCTION PARAMETERS

format_flags
    a bitflag indicating which shader formats the app is able to provide.

name
    the preferred GPU driver, or NULL to let SDL pick the optimal driver.

RETURN VALUE
Returns true if supported, false otherwise.

AVAILABILITY
This function is available since SDL 3.2.0.

SEE ALSO
SDL_CreateGPUDevice(3)